#!/ysr/bin/env python
#-*- coding:utf-8 -*-
__author__ = "yua"

from django.conf import settings
from boto3.session import Session

class AWSClient(object):
    def __init__(self, aws_access_key_id=settings.AWS_ACCESS_KEY_ID, aws_secret_access_key=settings.AWS_SECRET_ACCESS_KEY, region=settings.AWS_REGION_NAME):
        self.aws_access_key_id = aws_access_key_id
        self.aws_secret_access_key = aws_secret_access_key
        self.region = region

    def get_session(self, *args):
        client = Session(aws_access_key_id=self.aws_access_key_id, aws_secret_access_key=self.aws_secret_access_key, region_name=self.region)
        return client